#ifndef _H_C431E01BFD83B01838DEE223EB454A7C_FrameGraph__H_
#define _H_C431E01BFD83B01838DEE223EB454A7C_FrameGraph__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace tf2_msgs
{
    namespace srv
    {
        namespace dds_
        {
            struct  FrameGraph_Request_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<FrameGraph_Request_> FrameGraph_Request__var;
            typedef FrameGraph_Request_& FrameGraph_Request__out;

            struct  FrameGraph_Response_
            {
                ::DDS::String_mgr frame_yaml_;
            };

            typedef DDS_DCPSStruct_var<FrameGraph_Response_> FrameGraph_Response__var;
            typedef DDS_DCPSStruct_out < FrameGraph_Response_> FrameGraph_Response__out;

            struct  Sample_FrameGraph_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::tf2_msgs::srv::dds_::FrameGraph_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_FrameGraph_Request_> Sample_FrameGraph_Request__var;
            typedef Sample_FrameGraph_Request_& Sample_FrameGraph_Request__out;

            struct  Sample_FrameGraph_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::tf2_msgs::srv::dds_::FrameGraph_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_FrameGraph_Response_> Sample_FrameGraph_Response__var;
            typedef DDS_DCPSStruct_out < Sample_FrameGraph_Response_> Sample_FrameGraph_Response__out;

        }

    }

}

#endif /* _H_C431E01BFD83B01838DEE223EB454A7C_FrameGraph__H_ */
